Bug 442138 - comps.dtd file is missing
comps.dtd file is missing
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.1
All Linux
low Severity urgent
: rc
: ---
Assigned To: David Cantrell
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 19:47 EDT by Robinson Tiemuqinke
Modified: 2014-01-21 01:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:37:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
comps DTD (1.17 KB, text/plain)
2008-09-24 23:21 EDT, Dennis Gregorovic
no flags Details

  None (edit)
Description Robinson Tiemuqinke 2008-04-11 19:47:35 EDT
Description of problem:
 can not locate 'comps.dtd' for XML validation, it is an external reference of 
comps.xml file on installation media. The DTD file is used for users' custom 
RPM group definition file, custom.xml, as well.

Version-Release number of selected component (if applicable):


How reproducible:
 
 always.


Steps to Reproduce:
1. find the installation CDs and can not locate the dtd file.
2. query all the RPMs but still can not find the file
3. google Internet but still can not find it.
  
Actual results:
 can not locate the file.

Expected results:
 it should be at where, like inside the comps RPM, and Internet accessible. 

 
Additional info:
The comps.dtd should be a simple text file and of no other uses besides 
validation Redhat, or Redhat variants Linux Distributions. Please make it 
available through Internet at least.
Comment 1 RHEL Product and Program Management 2008-07-10 12:01:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Daniel Veillard 2008-09-05 13:03:47 EDT
My take is the following:
  it should be put somewhere on a public web site (www.redhat.com/fedoraproject.org or rpm.org), preferably with a versionned URL.
Then it should also be installed on local disks possibly as part of the
rpm or yum package, and in the post-install you add it to the XML Catalog
(see http://xmlsoft.org/catalog.html for explanations)

Then in the comps.xml shipped you keep the SYSTEM identifier as the
URL on the public web site but validation will look first in the catalog
and avoid the remote lookup.

Examples of packages doing exactly this are xhtml1-dtds and docbook-dtds

For paths to XML DTDs in the distro and catalogs, this has been discuted
as part of the standardization group, 

/usr/share/xml/comps/1.0/comps.dtd would be just fine, and the
mapping could be added directly in /etc/xml/catalog

Daniel
Comment 6 Dennis Gregorovic 2008-09-05 13:09:55 EDT
Seth, I think it would make sense for the yum package to be the one that includes the comps.dtd file and xml catalog entries.  Do you agree?
Comment 7 seth vidal 2008-09-05 13:12:20 EDT
comps format is driven from anaconda. Yum just supports what anaconda wants to do with it. It might make more sense for it to be in anaconda.
Comment 10 David Cantrell 2008-09-24 22:44:47 EDT
Having anaconda provide comps.dtd in an RPM is probably the easiest way considering comps is a special component in the distribution.

You guys just want to remove it from the comps package in dist-cvs and add it to anaconda?  We can install it as part of anaconda-runtime.  Then we just need to update the comps files to reference the comps.dtd location correctly on the filesystem.
Comment 11 Dennis Gregorovic 2008-09-24 23:21:08 EDT
Created attachment 317649 [details]
comps DTD
Comment 12 Dennis Gregorovic 2008-09-24 23:22:39 EDT
Sounds good.  I've moved this bug to the anaconda component and attached the comps.dtd file.
Comment 13 David Cantrell 2008-09-24 23:52:49 EDT
Where should this file be installed on the system?
Comment 14 Denise Dumas 2008-09-26 09:15:52 EDT
Adding exception flag
Comment 15 David Cantrell 2008-09-29 19:47:43 EDT
I will get this bug taken care of and add the comps.dtd file if someone can tell me where on the system
Comment 16 David Cantrell 2008-09-29 21:12:03 EDT
OK, comps.dtd added to /usr/share/xml/comps/1.0 as comps.dtd.  The file is part of the anaconda-runtime package and now anaconda-runtime will depend on xml-common and the libxml2 package (for xmlcatalog).

I do not know where DTD files should live on our http servers, so I'm going to punt that decision to someone else's to do stack.  The comps*.xml files I see in the current RHEL 5 trees just reference "comps.dtd" at the top, so I have added this as the %post script for the anaconda-runtime package:

CATALOG=/etc/xml/catalog
/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
    "comps.dtd" \
    "/usr/share/xml/comps/1.0/comps.dtd" $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteURI" \
    "comps.dtd" \
    "/usr/share/xml/comps/1.0/comps.dtd" $CATALOG
|| :

When/if the comps.dtd file is published on an HTTP site, we change the rewrite rule generation here.
Comment 18 David Cantrell 2008-09-30 17:48:44 EDT
Fixed in anaconda-11.1.2.133-1
Comment 21 errata-xmlrpc 2009-01-20 16:37:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0164.html

Note You need to log in before you can comment on or make changes to this bug.